package pwc.taxtech.atms.organization.dao.extension;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;
import pwc.taxtech.atms.MyMapper;
import pwc.taxtech.atms.organization.dpo.ShareholderDto;
import pwc.taxtech.atms.organization.dpo.SubsidaryDto;

import java.util.List;

@Mapper
public interface OrganizationShareholderExtMapper extends MyMapper {

    @Select("select a.id, a.investment_entity_id as entityId,b.name,a.voting_percentage as votingPercentage from organization_shareholder a left join organization b on a.investment_entity_id=b.id where entity_id=#{id}")
    List<ShareholderDto> selectShareholder(Long entityId);

    @Select("select a.id, a.entity_id as entityId,b.name,a.voting_percentage as votingPercentage from organization_shareholder a left join organization b on a.entity_id=b.id where investment_entity_id=#{id}")
    List<SubsidaryDto> selectSubsidary(Long entityId);
}
