commonModule.controller('orgShareholderStructureController', ['$scope', '$log', '$translate', function ($scope, $log, $translate) {
    'use strict';

    var initParams = function () {
    };

    var init = function () {
        var westData = {
            'name': 'Cayman 1 LP',
            'wins': '1',
            'children': [
                {
                    'name': 'Cayman 2 Limited', 'wins': '2',
                    'children': [
                        {
                            'name': 'BVI 1 Limited', 'wins': '3'
                        },
                        {'name': 'Hong Kong 1 Limited', 'wins': '4'}
                    ]
                }
            ]
        };

        $('#chart-container').orgchart({
            'data': westData,
            'nodeContent': 'name',
            'direction': 't2b',
            'createNode': function ($node, data) {
                if (data.wins === "1") {
                    $node.children('.title').html('<img src="/app-resources/images/A.png" style="width:100%">');
                    // $node.hide();
                }
                else {
                    var rightMenu = '<div class="node-line-right"><span >' + 100 + '%</span>';
                    $node.append(rightMenu);
                    $node.children('.title').html('<img src="/app-resources/images/2.png" style="width:100%">');
                }
            },
            'initCompleted': function ($chart) {
                // console.log($chart);
                // $chart.children().children('.lines').hide();
            }
        });
    };

    var thisModuleService = {
        initEvents: function () {

        },
        initWatches: function () {

        }
    };


    (function initialize() {
        $log.debug('orgShareholderStructureController.ctor()...');
        initParams();
        init();
        thisModuleService.initWatches();
        thisModuleService.initEvents();
    })();
}]);