(function ($) {
    $(function () {
        var westData = {
            'name': 'Cayman 1 LP',
            'wins': '1',
            'children': [
                {
                    'name': 'Cayman 2 Limited', 'wins': '2',
                    'children': [
                        {
                            'name': 'BVI 1 Limited', 'wins': '3'
                        },
                        {'name': 'Hong Kong 1 Limited', 'wins': '4'}
                    ]
                }
            ]
        };

        var ocWest = $('#chart-western').orgchart({
            'data': westData,
            'nodeContent': 'name',
            'direction': 't2b',
            'createNode': function ($node, data) {
                if (data.wins === "1") {
                    $node.children('.title').html('<img src="A.png" style="width:100%">');
                    // $node.hide();
                }
                else{
                    var rightMenu = '<div class="node-line-right"><span >' + 100 + '%</span>';
                    $node.append(rightMenu);
                    $node.children('.title').html('<img src="2.png" style="width:100%">');
                }
            },
            'initCompleted': function ($chart) {
                // console.log($chart);
                // $chart.children().children('.lines').hide();
            }
        });
    });
})(jQuery);