package pwc.taxtech.atms.organization.mapper;

import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.factory.Mappers;
import pwc.taxtech.atms.organization.dpo.*;
import pwc.taxtech.atms.organization.entity.OrganizationShareholder;

@Mapper(componentModel = "spring")
public interface OrganizationShareholderTMapper {
    OrganizationShareholderTMapper ORGANIZATION_SHAREHOLDER_T_MAPPER = Mappers.getMapper(OrganizationShareholderTMapper.class);

    @Mapping(source = "id", target = "id")
    OrganizationShareholderDto toOrgShareholder(OrganizationShareholder organizationShareholder);

    @Mapping(source = "votingPercentage", target = "percentage")
    OrgShareholderDto toOrgShareholderDto(ShareholderDto shareholderDto);

    @Mapping(source = "votingPercentage", target = "percentage")
    OrgSubsidaryDto toOrgSubsidaryDto(SubsidaryDto subsidaryDto);
}
